LayOut C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Data Fields
SUBeginFrameInfo Struct Reference

Information about the frame camera and viewport that is passed to SUOverlayCreateInfo::begin_frame. More...

`#include <overlay.h>`

## Data Fields
enum SUOverlayBeginFrameInfoVersion | version
| Version of SUBeginFrameInfo struct. This will be set by SketchUp. More...
struct SUPoint3D | position
| Camera position. More...
struct SUPoint3D | target
| Camera target position. More...
struct SUVector3D | up
| Camera up direction. More...
double | aspect_ratio
| Aspect ratio of the view port. More...
double | near_clipping_distance
| Distance to near clipping plane from the camera. More...
double | far_clipping_distance
| Distance to far clipping plane from the camera. More...
double | projection_matrix [16]
| Projection Matrix, stored in row major order. More...
double | view_matrix [16]
| View Matrix, stored in row major order. More...
double | viewport_width
| Viewport width. More...
double | viewport_height
| Viewport height. More...
double | fov
double | height
| Parallel projection frustum height. Valid only when is_perspective is false. More...
bool | is_perspective
| Whether the camera is perspective or orthographic. More...
void * | reserved

## Detailed Description

Information about the frame camera and viewport that is passed to SUOverlayCreateInfo::begin_frame.

## Field Documentation

double SUBeginFrameInfo::aspect_ratio

Aspect ratio of the view port.

double SUBeginFrameInfo::far_clipping_distance

Distance to far clipping plane from the camera.

double SUBeginFrameInfo::fov

Field of view of the perspective camera (in degrees). Valid only when is_perspective is true.

double SUBeginFrameInfo::height

Parallel projection frustum height. Valid only when is_perspective is false.

bool SUBeginFrameInfo::is_perspective

Whether the camera is perspective or orthographic.

double SUBeginFrameInfo::near_clipping_distance

Distance to near clipping plane from the camera.

struct SUPoint3D SUBeginFrameInfo::position

Camera position.

double SUBeginFrameInfo::projection_matrix[16]

Projection Matrix, stored in row major order.

void* SUBeginFrameInfo::reserved

Reserved for internal use. This will be set to NULL by SketchUp and should not be modified.

struct SUPoint3D SUBeginFrameInfo::target

Camera target position.

struct SUVector3D SUBeginFrameInfo::up

Camera up direction.

enum SUOverlayBeginFrameInfoVersion SUBeginFrameInfo::version

Version of SUBeginFrameInfo struct. This will be set by SketchUp.

double SUBeginFrameInfo::view_matrix[16]

View Matrix, stored in row major order.

double SUBeginFrameInfo::viewport_height

Viewport height.

double SUBeginFrameInfo::viewport_width

Viewport width.

The documentation for this struct was generated from the following file:

- SketchUpAPI/application/overlay.h